## libguestfs 1.32.7

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: extra
 Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
-Uploaders: Richard Jones <rjones@redhat.com>, Guido Günther <agx@sigxcpu.org>, Hilko Bengen <bengen@debian.org>
+Uploaders: Richard Jones <rjones@redhat.com>, Guido Günther <agx@sigxcpu.org>, Hilko Bengen <bengen@debian.org>, Vincent Danjean <vdanjean@debian.org>
 Build-Depends: debhelper (>= 9),
   dh-autoreconf,
   po-debconf, bash-completion,
@@ -41,7 +41,6 @@
   curl,
   flex, bison,
   golang-go [i386 amd64 armel armhf arm64 ppc64el],
-  dh-php, php-all-dev | php5-dev,
 # for appliance
   linux-image-versatile [armel],
   linux-image-armmp [armhf],
