=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,6 @@
 RUBY_DEFAULT   := $(shell which ruby | xargs readlink -f | xargs basename)
 LUAS           := $(shell find /usr/bin/ -name 'lua5.?' | xargs -n1 readlink -f | xargs -n1 basename)
 LUA_DEFAULT    := $(shell which lua | xargs readlink -f | xargs basename)
-PHPS           := $(subst -config,,$(shell find /usr/bin -name 'php-config?*' | xargs -n1 basename))
-PHP_DEFAULT    := $(lastword $(sort $(PHPS)))
 
 BUILDS         := $(filter-out $(PYTHON_DEFAULT), $(PYTHONS)) \
 		  $(filter-out $(RUBY_DEFAULT), $(RUBIES)) \
@@ -28,6 +26,7 @@
 	--disable-gnulib-tests     \
 	--with-readline	           \
 	--disable-haskell          \
+	--disable-php              \
 	--enable-gtk-doc           \
 	--with-qemu=qemu-system-$(QEMU_CPU) \
 	--with-supermin-extra-options='--use-installed'
@@ -58,8 +57,6 @@
 		RAKE="$(RUBY_DEFAULT) -S rake" \
 		PYTHON=$(PYTHON_DEFAULT) \
 		LUA=$(LUA_DEFAULT) \
-		PHP=$(PHP_DEFAULT) \
-		PHPIZE=$(subst php,phpize,$(PHP_DEFAULT)) \
 		JNI_INSTALL_DIR='$${libdir}/jni'
 
 	# (Re)generate files in srcdir.
@@ -130,15 +127,13 @@
 
 	erlang-depends -perlang-guestfs
 
-	dh_install -X.la -X.so.owner -Xbindtests -X/usr/lib/go/ -Xpackages.orig -Xetc/php.d \
+	dh_install -X.la -X.so.owner -Xbindtests -X/usr/lib/go/ -X/usr/lib/go- -Xpackages.orig -Xetc/php.d \
 	    --fail-missing
 
 # Add packages (except essential packages) from appliance packagelist
 # to libguestfs* dependencies
 	debian/gen-appliance-depends.sh
 
-override_dh_php:
-	dh_php -p php-guestfs
 override_dh_python3:
 	dh_python3 -p python3-guestfs
 override_dh_python2:
@@ -157,4 +152,4 @@
 	dh $@ \
 	   --parallel \
 	   --without=python-support \
-	   --with=autoreconf,ocaml,python2,python3,bash-completion,ruby,gir,lua,php
+	   --with=autoreconf,ocaml,python2,python3,bash-completion,ruby,gir,lua
