## libguestfs 1.34.6

=== debian/changelog ===
libguestfs (1:1.34.6-7ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Add qemu build dependencies for arm64 and ppc64el.
      + Switch to Ubuntu kernel meta-package names.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Build-Depends on zfs-fuse on armhf and ppc64el as well.
      + Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Configure with --disable-silent-rules.
    - Remove gjs dependency on s390x

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Sep 2017 16:33:18 +0200

libguestfs (1:1.34.6-7) unstable; urgency=medium

  * Add missing build-dependencies

 -- Hilko Bengen <bengen@debian.org>  Mon, 04 Sep 2017 22:07:15 +0200

libguestfs (1:1.34.6-6) unstable; urgency=medium

  * Fix qemu binary to be used on sparc64
  * Really bump DH compat level

 -- Hilko Bengen <bengen@debian.org>  Mon, 04 Sep 2017 14:36:15 +0200

libguestfs (1:1.34.6-5ubuntu2) artful; urgency=medium

  * Remove gjs dependency on s390x

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Aug 2017 14:49:43 +0200

libguestfs (1:1.34.6-5ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Add qemu build dependencies for arm64 and ppc64el.
      + Switch to Ubuntu kernel meta-package names.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Build-Depends on zfs-fuse on armhf and ppc64el as well.
      + Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Configure with --disable-silent-rules.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Aug 2017 16:15:18 +0200

libguestfs (1:1.34.6-5) unstable; urgency=medium

  * Adjust dependencies because *fdisk will be split out of util-linux
    into its own package (Closes: #872101)
  * Bump Debhelper compat level, Standards-Version
  * Adjust Vcs-* headers

 -- Hilko Bengen <bengen@debian.org>  Mon, 14 Aug 2017 22:32:14 +0200

libguestfs (1:1.34.6-4) unstable; urgency=medium

  * Fix i386 kernel build dependency (Closes: #869504)

 -- Hilko Bengen <bengen@debian.org>  Mon, 24 Jul 2017 01:13:17 +0200

libguestfs (1:1.34.6-3) unstable; urgency=medium

  * Fix systemd/sysvinit dependency (Closes: #865398)

 -- Hilko Bengen <bengen@debian.org>  Thu, 20 Jul 2017 23:39:36 +0200

libguestfs (1:1.34.6-2ubuntu5) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:26:36 +0000

libguestfs (1:1.34.6-2ubuntu4) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:27:49 +0000

libguestfs (1:1.34.6-2ubuntu3) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 01:29:36 +0100

libguestfs (1:1.34.6-2ubuntu2) artful; urgency=medium

  * Rebuild for python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 16 May 2017 15:36:08 +0530

libguestfs (1:1.34.6-2ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Add qemu build dependencies for arm64 and ppc64el.
      + Switch to Ubuntu kernel meta-package names.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Build-Depends on zfs-fuse on armhf and ppc64el as well.
      + Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Configure with --disable-silent-rules.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Apr 2017 23:06:17 +0200

libguestfs (1:1.34.6-2) unstable; urgency=medium

  * Re-enable building on mips. Thanks to Aurelien Jarno for pointing out
    that #815409 was a kernel bug rather than a bug in qemu. (Closes:
    #816610)

 -- Hilko Bengen <bengen@debian.org>  Thu, 20 Apr 2017 23:08:05 +0200

libguestfs (1:1.34.6-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Thu, 09 Mar 2017 10:14:14 +0100

libguestfs (1:1.34.4-1) unstable; urgency=medium

  * New upstream version
  * Update patches; drop two patches integrated upstream

 -- Hilko Bengen <bengen@debian.org>  Tue, 31 Jan 2017 23:53:16 +0100

libguestfs (1:1.34.3-7) unstable; urgency=medium

  * Introduce alternative kernel build-dependency (Closes: #851969)
  * Add dh-python build-dependency
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Sun, 22 Jan 2017 15:43:37 +0100

libguestfs (1:1.34.3-6) unstable; urgency=medium

  * Add mips64el architecture
  * Add some dependencies to libguestfs0 (Closes: #849597)

 -- Hilko Bengen <bengen@debian.org>  Sun, 08 Jan 2017 14:42:29 +0100

libguestfs (1:1.34.3-5) unstable; urgency=medium

  * Add db-util build dependency so applications on  rpm-based guests can be inspected

 -- Hilko Bengen <bengen@debian.org>  Thu, 10 Nov 2016 12:13:56 +0100

libguestfs (1:1.34.3-4) unstable; urgency=medium

  * Unset XDG_RUNTIME_DIR when running make quickcheck

 -- Hilko Bengen <bengen@debian.org>  Sun, 30 Oct 2016 12:11:37 +0100

libguestfs (1:1.34.3-3) unstable; urgency=medium

  * Print environment before running quickcheck

 -- Hilko Bengen <bengen@debian.org>  Sun, 30 Oct 2016 10:06:28 +0100

libguestfs (1:1.34.3-2) unstable; urgency=medium

  * Explicitly set TMPDIR for make quickcheck

 -- Hilko Bengen <bengen@debian.org>  Sat, 29 Oct 2016 23:50:53 +0200

libguestfs (1:1.34.3-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Sat, 29 Oct 2016 20:41:07 +0200

libguestfs (1:1.34.2-2) unstable; urgency=medium

  * Add patch for quoting variables in run.in


