=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: libguestfs
 Section: libs
 Priority: extra
-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
-Uploaders: Richard Jones <rjones@redhat.com>, Guido Günther <agx@sigxcpu.org>, Hilko Bengen <bengen@debian.org>, Vincent Danjean <vdanjean@debian.org>
-Build-Depends: debhelper (>= 9),
-  dh-autoreconf,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Uploaders: Richard Jones <rjones@redhat.com>, Guido Günther <agx@sigxcpu.org>, Hilko Bengen <bengen@debian.org>
+Build-Depends: debhelper (>= 10),
   po-debconf, bash-completion,
   supermin (>= 5),
   libreadline-dev, libaugeas-dev (>= 1.0.0), libselinux1-dev, libhivex-dev, libvirt-dev,
@@ -13,20 +13,24 @@
   systemtap-sdt-dev,
   libcap-dev, libacl1-dev, libyajl-dev,
   libsystemd-dev | libsystemd-journal-dev,
+  sleuthkit, libtsk-dev,
   automake, autoconf, libtool,
+  fdisk | util-linux (<< 2.29.2-3~),
   gperf, libxml2-utils,
   qemu-system-arm [armel armhf arm64],
   qemu-system-mips [mips mipsel mips64 mips64el],
-  qemu-system-misc [s390x],
+  qemu-system-s390x [s390x],
+  qemu-system-aarch64 [arm64],
   qemu-system-ppc [powerpc ppc64 ppc64el],
   qemu-system-sparc [sparc],
-  qemu-system-x86 [i386 amd64],
+  qemu-system-x86 [i386 amd64], sgabios [i386 amd64],
   qemu-utils,
   genisoimage, pkg-config,
   erlang-dev,
   dh-lua,
   dh-ocaml, ocaml-nox, ocaml-findlib, libpcre-ocaml-dev, libgettext-ocaml-dev,
   python (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), python3-all-dev,
+  dh-python,
   default-jdk,
   gem2deb, rake, libjs-jquery,
   libmodule-build-perl,
@@ -34,24 +38,19 @@
   libstring-shellquote-perl,
   libsys-virt-perl, libwin-hivex-perl,
   libfuse-dev, fuse,
-  libglib2.0-dev, gjs, gobject-introspection, libgirepository1.0-dev, gtk-doc-tools,
+  libglib2.0-dev, gjs [!s390x], gobject-introspection, libgirepository1.0-dev, gtk-doc-tools,
   libgtk2.0-dev,
+  db-util,
   netpbm, icoutils,
   po4a,
   curl,
   flex, bison,
   golang-go [i386 amd64 armel armhf arm64 ppc64el],
+  dh-php, php-all-dev | php5-dev,
 # for appliance
-  linux-image-versatile [armel],
-  linux-image-armmp [armhf],
-  linux-image-arm64 [arm64],
-  linux-image-4kc-malta [mips mipsel] | linux-image-5kc-malta [mips mipsel mips64 mips64el],
-  linux-image-s390x [s390x],
-  linux-image-powerpc64 [powerpc ppc64],
-  linux-image-powerpc64le [ppc64el],
-  linux-image-sparc64 [sparc],
-  linux-image-amd64 [amd64],
-  linux-image-586 [i386] | linux-image-486 [i386] | linux-image-686-pae [i386],
+  linux-image-generic [!powerpc !armhf],
+  linux-image-generic-lpae [armhf],
+  linux-image-powerpc64-smp [powerpc],
   acl,
   attr,
   binutils,
@@ -68,7 +67,7 @@
   genisoimage,
   gfs2-utils,
 # gfs-tools,
-  grub2 [i386 amd64 powerpc ppc64el sparc],
+# grub2,
   hfsplus,
   iproute2 | iproute,
   iputils-arping,
@@ -77,6 +76,7 @@
   isc-dhcp-client,
   jfsutils,
   kmod | module-init-tools,
+  ldmtool,
   less,
 # libc-bin,
   lsof,
@@ -103,15 +103,15 @@
   xfsprogs,
   xz-utils,
   zerofree,
-  zfs-fuse [i386 amd64 armel powerpc sparc],
+  zfs-fuse [i386 amd64 armel armhf powerpc ppc64el sparc],
 Homepage: http://libguestfs.org
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-libvirt/libguestfs.git
-Vcs-Browser: http://anonscm.debian.org/?p=pkg-libvirt/libguestfs.git
+Standards-Version: 4.0.0
+Vcs-Git: https://anonscm.debian.org/git/pkg-libvirt/libguestfs.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-libvirt/libguestfs.git
 XS-Ruby-Versions: all
 
 Package: guestfsd
-Architecture: amd64 arm64 armel armhf i386 mipsel powerpc ppc64el s390x ppc64
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends},
   bsdmainutils,
   diffutils,
@@ -140,7 +140,7 @@
 
 Package: libguestfs-dev
 Section: libdevel
-Architecture: amd64 arm64 armel armhf i386 mipsel powerpc ppc64el s390x ppc64
+Architecture: linux-any
 Multi-Arch: same
 Depends: libguestfs0 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libguestfs0 (<< 1:1.14.9-1~)
@@ -152,17 +152,22 @@
 
 Package: libguestfs0
 Section: libs
-Architecture: amd64 arm64 armel armhf i386 mipsel powerpc ppc64el s390x ppc64
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
   supermin (>= 5),
   qemu-system-arm [armel armhf arm64],
   qemu-system-mips [mips mipsel mips64 mips64el],
-  qemu-system-misc [s390x],
+  qemu-system-s390x [s390x],
+  qemu-system-aarch64 [arm64],
   qemu-system-ppc [powerpc ppc64 ppc64el],
   qemu-system-sparc [sparc],
-  qemu-system-x86 [i386 amd64],
+  qemu-system-x86 [i386 amd64], sgabios [i386 amd64],
+  db-util,
+  icoutils,
+  netpbm,
+  osinfo-db,
   ${appliance:Depends},
 Recommends: libguestfs-hfsplus,
  libguestfs-reiserfs,
@@ -195,7 +200,7 @@
 
 Package: libguestfs-gfs2
 Section: libs
-Architecture: amd64 arm64 armel armhf i386 mipsel powerpc ppc64el s390x ppc64
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libguestfs0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
@@ -209,7 +214,7 @@
 
 Package: libguestfs-hfsplus
 Section: libs
-Architecture: amd64 arm64 armel armhf i386 mipsel powerpc ppc64el s390x ppc64
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libguestfs0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
@@ -222,7 +227,7 @@
 
 Package: libguestfs-jfs
 Section: libs
-Architecture: amd64 arm64 armel armhf i386 mipsel powerpc ppc64el s390x ppc64
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libguestfs0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
@@ -235,7 +240,7 @@
 
 Package: libguestfs-nilfs
 Section: libs
-Architecture: amd64 arm64 armel armhf i386 mipsel powerpc ppc64el s390x ppc64
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libguestfs0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
@@ -248,7 +253,7 @@
 
 Package: libguestfs-reiserfs
 Section: libs
-Architecture: amd64 arm64 armel armhf i386 mipsel powerpc ppc64el s390x ppc64
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libguestfs0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
@@ -261,7 +266,7 @@
 
 Package: libguestfs-rescue
 Section: libs
-Architecture: amd64 arm64 armel armhf i386 mipsel powerpc ppc64el s390x ppc64
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libguestfs0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
@@ -276,7 +281,7 @@
 
 Package: libguestfs-rsync
 Section: libs
-Architecture: amd64 arm64 armel armhf i386 mipsel powerpc ppc64el s390x ppc64
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libguestfs0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
@@ -290,7 +295,7 @@
 
 Package: libguestfs-xfs
 Section: libs
-Architecture: amd64 arm64 armel armhf i386 mipsel powerpc ppc64el s390x ppc64
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libguestfs0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
@@ -316,7 +321,7 @@
 
 Package: libguestfs-tools
 Section: admin
-Architecture: amd64 arm64 armel armhf i386 mipsel powerpc ppc64el s390x ppc64
+Architecture: linux-any
 Depends: libguestfs0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  libsys-virt-perl, libguestfs-perl (= ${binary:Version}),
  libwin-hivex-perl,
@@ -340,7 +345,7 @@
 
 Package: libguestfs0-dbg
 Section: debug
-Architecture: amd64 arm64 armel armhf i386 mipsel powerpc ppc64el s390x ppc64
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libguestfs0 (= ${binary:Version})
 Description: guest disk image management system - debug symbols
@@ -351,7 +356,7 @@
 
 Package: python-guestfs
 Section: python
-Architecture: amd64 arm64 armel armhf i386 mipsel powerpc ppc64el s390x ppc64
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libguestfs0 (= ${binary:Version})
 Provides: python-libguestfs
 Conflicts: python-libguestfs, libguestfs-dev (<< 1:1.14.9-1~)
@@ -361,3 +366,28 @@
  .
  This package contains the Python bindings.
  
+Package: python3-guestfs
+Section: python
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Breaks: python-guestfs (<< 1:1.22.2-1~)
+Description: guest disk image management system - Python 3 bindings
+ The libguestfs library allows accessing and modifying guest disk
+ images.
+ .
+ This package contains the Python 3 bindings.
+
+Package: libguestfs-perl
+Section: perl
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libguestfs0 (= ${binary:Version}),
+ ${perl:Depends},
+ libxml-xpath-perl,
+ libwin-hivex-perl,
+ libsys-virt-perl,
+Description: guest disk image management system - Perl bindings
+ The libguestfs library allows accessing and modifying guest disk
+ images.
+ .
+ This package contains the Perl bindings.
+
