=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 RUBY_DEFAULT   := $(shell which ruby | xargs readlink -f | xargs basename)
 LUAS           := $(shell find /usr/bin/ -name 'lua5.?' | xargs -n1 readlink -f | xargs -n1 basename)
 LUA_DEFAULT    := $(shell which lua | xargs readlink -f | xargs basename)
+PHPS           := $(subst -config,,$(shell find /usr/bin -name 'php-config?*' | xargs -n1 basename))
+PHP_DEFAULT    := $(lastword $(sort $(PHPS)))
 
 BUILDS         := $(filter-out $(PYTHON_DEFAULT), $(PYTHONS)) \
 		  $(filter-out $(RUBY_DEFAULT), $(RUBIES)) \
@@ -16,17 +18,22 @@
 		  default
 
 QEMU_CPU := $(shell echo $(DEB_HOST_GNU_CPU) \
-		    | sed -r -e 's,i[456]86,i386,;s,sparc,sparc64,;s,powerpc(64.*)?,ppc64,;s,arm.*,arm,')
+		    | sed -r \
+			-e 's,i[456]86,i386,' \
+			-e 's,sparc.*,sparc64,' \
+			-e 's,powerpc(64.*)?,ppc64,' \
+			-e 's,arm.*,arm,')
 
-# Run "make quickcheck only on these architectures
-QUICKCHECK_ARCHITECTURES := i386 amd64
+# Do not run "make quickcheck only on these architectures
+# this requires a readable kernel image
+#QUICKCHECK_ARCHITECTURES := i386 amd64
 
 # Flags for the default build (debian/build-default)
 DEFAULT_CONFIG_FLAGS = \
+	--disable-silent-rules     \
 	--disable-gnulib-tests     \
 	--with-readline	           \
 	--disable-haskell          \
-	--disable-php              \
 	--enable-gtk-doc           \
 	--with-qemu=qemu-system-$(QEMU_CPU) \
 	--with-supermin-extra-options='--use-installed'
@@ -57,6 +64,8 @@
 		RAKE="$(RUBY_DEFAULT) -S rake" \
 		PYTHON=$(PYTHON_DEFAULT) \
 		LUA=$(LUA_DEFAULT) \
+		PHP=$(PHP_DEFAULT) \
+		PHPIZE=$(subst php,phpize,$(PHP_DEFAULT)) \
 		JNI_INSTALL_DIR='$${libdir}/jni'
 
 	# (Re)generate files in srcdir.
@@ -108,7 +117,8 @@
 
 override_dh_auto_test:
 ifneq "" "$(findstring $(DEB_HOST_ARCH),$(QUICKCHECK_ARCHITECTURES))"
-	make -C $(CURDIR)/debian/build-default quickcheck
+	printenv
+	unset XDG_RUNTIME_DIR; make -C $(CURDIR)/debian/build-default quickcheck
 endif
 
 override_dh_auto_install:
@@ -134,6 +144,8 @@
 # to libguestfs* dependencies
 	debian/gen-appliance-depends.sh
 
+override_dh_php:
+	dh_php -p php-guestfs
 override_dh_python3:
 	dh_python3 -p python3-guestfs
 override_dh_python2:
@@ -152,4 +164,4 @@
 	dh $@ \
 	   --parallel \
 	   --without=python-support \
-	   --with=autoreconf,ocaml,python2,python3,bash-completion,ruby,gir,lua
+	   --with=ocaml,python2,python3,bash-completion,ruby,gir,lua,php
